# SkyStake

### Description

Stake USDS via SKY for different rewards

### Action ID

`0xa2b6e191`

### SDK Action

```ts
const skyStakeAction = new dfs.actions.sky.SkyStakeAction(
    stakingContract,
    stakingToken,
    amount,
    from
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param stakingContract address of the staking rewards contract
    /// @param stakingToken address of the token being staked
    /// @param amount amount of stakingToken to stake
    /// @param from address from which to pull stakingToken
    struct Params {
        address stakingContract;
        address stakingToken;
        uint256 amount;
        address from;
    }
```

### Return Value

```solidity
return bytes32(amountStaked);
```

### Events and Logs

```solidity
emit ActionEvent("SkyStake", logData);
logger.logActionDirectEvent("SkyStake", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/sky/skystake.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
